
*********************************************************.
*syntax to score the KINDL oncology module*
*aggregates item-responses into sum scores*
*sum scores were transformed into values 0-100*
*0 denotes the worst possible response pattern*
*100 denotes the best possible response pattern*
*********************************************************.





******************Skala Krper****************.


RECODE
  e_onk01a e_onk02a e_onk03a e_onk04a
  (1=5)  (2=4)  (3=3)  (4=2)  (5=1)  INTO  e_onk01ar  e_onk02ar e_onk03ar e_onk04ar .
EXECUTE .

RECODE
  e_onk01b e_onk02b e_onk03b e_onk04b
  (1=3)  (2=2)  (3=1)   INTO  e_onk01br  e_onk02br e_onk03br e_onk04br .
EXECUTE .


COMPUTE E_koerper_a = (((MEAN.3(e_onk01ar,  e_onk02ar, e_onk03ar, e_onk04ar ) - 1) / 4) * 100) .
EXECUTE .

COMPUTE E_koerper_b = (((MEAN.3(e_onk01br,  e_onk02br, e_onk03br, e_onk04br ) - 1) / 2) * 100) .
EXECUTE .



******************Skala Mental Health****************.


RECODE
  e_onk_05 e_onk_06 e_onk_07 e_onk_08
  (1=5)  (2=4)  (3=3)  (4=2)  (5=1)  INTO    e_onk_05r e_onk_06r e_onk_07r e_onk_08r .
EXECUTE .

COMPUTE E_mental = (((MEAN.3(e_onk_05r, e_onk_06r, e_onk_07r, e_onk_08r) - 1) / 4) * 100) .
EXECUTE .




******************Skala Social****************.


COMPUTE E_social = (((MEAN.4(e_onk_09, e_onk_10, e_onk_11, e_onk_12, e_onk_13) - 1) / 4) * 100) .
EXECUTE .






******************Skala Medical Treatment****************.


RECODE
  e_onk31a e_onk32a e_onk33a e_onk34a e_onk35a e_onk36a e_onk37a e_onk38a e_onk39a e_onk40a e_onk41a
  (1=5)  (2=4)  (3=3)  (4=2)  (5=1)  INTO    e_onk31ar e_onk32ar e_onk33ar e_onk34ar e_onk35ar e_onk36ar e_onk37ar e_onk38ar e_onk39ar e_onk40ar e_onk41ar .
EXECUTE .

RECODE
  e_onk31b e_onk32b e_onk33b e_onk34b e_onk35b e_onk36b e_onk37b e_onk38b e_onk39b e_onk40b e_onk41b
  (1=3)  (2=2)  (3=1)   INTO   e_onk31br e_onk32br e_onk33br e_onk34br e_onk35br e_onk36br e_onk37br e_onk38br e_onk39br e_onk40br e_onk41br .
EXECUTE .




COMPUTE E_treatm_a = (((MEAN.7(e_onk31ar, e_onk32ar, e_onk33ar, e_onk34ar, e_onk35ar, e_onk36ar, e_onk37ar, e_onk38ar, e_onk39ar, e_onk40ar, e_onk41ar ) - 1) / 4) * 100) .
EXECUTE .

COMPUTE E_treatm_b = (((MEAN.7(e_onk31br, e_onk32br, e_onk33br, e_onk34br, e_onk35br, e_onk36br, e_onk37br, e_onk38br, e_onk39br, e_onk40br, e_onk41br ) - 1) / 2) * 100) .
EXECUTE .

